| Qore FileDataProvider Module Reference 2.1.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FileDataProvider::FileDataProviderBase Class Reference

The base file data provider class. More...

`#include <FileDataProviderBase.qc.dox.h>`

Inheritance diagram for FileDataProvider::FileDataProviderBase:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.

## Public Attributes
const | ConstructorOptions = ...
| Constructor options.

## Protected Member Functions
| checkPath (reference< string > path)
| Check the given path when "lock" and "root" are set.
| checkReadOnly (string op)
| Checks if the readonly flag is set.

## Protected Attributes
bool | lock
| Lock down access to the root?
bool | readonly
| Read only flag.
*string | root
| Any anchoring dir for filesystem actions.

## Detailed Description

The base file data provider class.